Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Kettenauswahl

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
  
Die Ähnlichkeit zu Productstream Professional ist bemerkenswert. (GAIN Collaboration,PDM,PDM System,PLM,PLM System)
Autor Thema:  Kettenauswahl (406 / mal gelesen)
pAtrickstAr
Mitglied
Werkzeugmechaniker

Sehen Sie sich das Profil von pAtrickstAr an!   Senden Sie eine Private Message an pAtrickstAr  Schreiben Sie einen Gästebucheintrag für pAtrickstAr

Beiträge: 7
Registriert: 02.05.2024

erstellt am: 08. Mai. 2024 12:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Guten Tag,
vielleicht ist das ein wenig speziell.
Gibt es die Möglichkeit in einer IPT-Skizze alle zusammenhängenden Elemente auszuwählen? (Bei SolidWorks nennt sich das Kettenauswahl, RMT auf ein Skizzenelement und dann Kettenauswahl.)

Evtl. per Makro?

Das würde einiges erleichtern.

Vielen Dank im Voraus

Dennis

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik




Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 2478
Registriert: 15.11.2006

Windows 10 x64, AIP 2023

erstellt am: 08. Mai. 2024 13:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für pAtrickstAr 10 Unities + Antwort hilfreich

Moin

Konturauswahlen sind in der Skizze eher unüblich. Was möchtest du denn im Anschluß mit der Auswahl machen? Nur so aus Neugierde.

Als VBA-Makro könnte man es so versuchen. Du kannst dir in der Skizzenumgebung noch einen Benutzerbefehl Button für das Makro erzeugen, dann kann man darüber die Auswahl starten. Ein Tastenkürzel wäre auch möglich.

Code:

Option Explicit

Public Sub ProfileSelect()

Dim oApp As Application
Set oApp = ThisApplication

Dim oPartDoc As PartDocument
Set oPartDoc = oApp.ActiveEditDocument

If Not oApp.ActiveEditObject = kPlanarSketchObject Then Exit Sub

Dim oSketch As PlanarSketch
Set oSketch = oApp.ActiveEditObject

Call oSketch.UpdateProfiles

Dim oSelSet As SelectSet
Set oSelSet = oPartDoc.SelectSet

Call oSelSet.Clear

Dim oProfile As Profile
Set oProfile = oApp.CommandManager.Pick(kSketchProfileFilter, "Profil auswählen")

Dim oProfPath As ProfilePath
Set oProfPath = oProfile.Item(1)

Dim oObjColl As ObjectCollection
Set oObjColl = oApp.TransientObjects.CreateObjectCollection

Dim oProfEnt As ProfileEntity
For Each oProfEnt In oProfPath
    Call oObjColl.Add(oProfEnt.SketchEntity)
Next

Call oSelSet.SelectMultiple(oObjColl)

End Sub


------------------
MfG
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

pAtrickstAr
Mitglied
Werkzeugmechaniker

Sehen Sie sich das Profil von pAtrickstAr an!   Senden Sie eine Private Message an pAtrickstAr  Schreiben Sie einen Gästebucheintrag für pAtrickstAr

Beiträge: 7
Registriert: 02.05.2024

erstellt am: 10. Mai. 2024 07:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Guten Morgen,
zunächst einmal vielen Dank für das Makro.
allerdings ist es nicht das was ich benötige.

Prinzipiell möchte ich in einer 2D Skizze ein Skizzenelement anklicken und durch das Makro sollen alle damit zusammenhängenden Elemente mit markiert werden.

Da ich für die Arbeit das ständig machen muss um diese Elemente z.B. in eine andere Skizze zu kopieren oder weiter zu bearbeiten , wäre das einfach eine extreme Arbeitserleichterung.


Das von Dir erstellte Makro zeigt mir nur das an was z.B. bei der Funktion Erhebung ausgewählt werden würde. Also ein geschlossenes Profil

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik




Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 2478
Registriert: 15.11.2006

Windows 10 x64, AIP 2023

erstellt am: 10. Mai. 2024 09:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für pAtrickstAr 10 Unities + Antwort hilfreich

Moin

Geschlossene Profile sind doch zusammenhängende Skizzenlemente. Wähle ich eines aus, werden alle dazugehörenden Skizzenlemente ausgewählt. Wie definierst du zusammenhängend? Elemente die einen gemeinsamen Endpunkt haben, Elemente die durch eine irgendeine Abhängigkeit oder Bemaßung in Beziehung stehen? Bedenke bitte, dass nicht jeder ein SW rumliegen hat, um eben selbst herauszufinden wie genau sich der Befehl verhält. Eventuell wäre ein Screenshot einer Skizze und den gewünschten Skizzenelemnten hilfreich?
Wenn du dauernd Gruppen von Skizzenelementen von einer Skizze zur nächsten kopierst, sind Blöcke eventuell eine Hilfe?

------------------
MfG
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Manfred Gündchen
Ehrenmitglied V.I.P. h.c.
SelbstständIng mit Planungsbüro Anlagenbau, Dipl.-Ing.-Maschinenbau


Sehen Sie sich das Profil von Manfred Gündchen an!   Senden Sie eine Private Message an Manfred Gündchen  Schreiben Sie einen Gästebucheintrag für Manfred Gündchen

Beiträge: 2370
Registriert: 08.03.2008

IV seit den 5.3Er
aktuell den 2014Ner
WIN7pro-64bit
SP das jeweils aktuelle

erstellt am: 11. Mai. 2024 09:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für pAtrickstAr 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von rkauskh:…Bedenke bitte, dass nicht jeder ein SW rumliegen hat, um eben selbst herauszufinden wie genau sich der Befehl verhält…
…denn dass ist hier das IV-Forum und nicht das für Solid Irgendwas
Zitat:
Original erstellt von rkauskh:…Eventuell wäre ein Screenshot einer Skizze und den gewünschten Skizzenelemnten hilfreich?…
Auch hier gilt: Dem guten Frager ist schon halb geantwortet. Auch bedenken, „IV-Sprech“ unterscheidet sich ziemlich von „SW-Sprech“.
Zitat:
Original erstellt von rkauskh:…Wenn du dauernd Gruppen von Skizzenelementen von einer Skizze zur nächsten kopierst, sind Blöcke eventuell eine Hilfe?…
…oder, meinereiner findet es nicht nicht so gut mit Skizzenblöcken zu modellieren, die ganze Skizze kopieren; dazu ggf. nur die Linienzüge die wiederverwendet werden sollen in der Skizze verwenden. Weitere Linienzüge auf eine weitere Skizze und der selben Ebene.

------------------
In diesem Sinne wünsche ich allen, weiterhin effektives Schaffen

----------------
Manfred Gündchen
www.guendchen.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

pAtrickstAr
Mitglied
Werkzeugmechaniker

Sehen Sie sich das Profil von pAtrickstAr an!   Senden Sie eine Private Message an pAtrickstAr  Schreiben Sie einen Gästebucheintrag für pAtrickstAr

Beiträge: 7
Registriert: 02.05.2024

erstellt am: 21. Mai. 2024 06:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Guten Morgen,

im Prinzip ist es recht simpel erklärt welche Elemente ausgewählt werden sollten mit diesem Makro.
Vielleicht habe ich mich da wirklich nur zu umständlich ausgedrückt.

im Prinzip alle Elemente egal ob Linie, Kreisbogen, Tangentialbogen usw. welche mit den Endpunkten miteinander verbunden sind.
Ähnliches Prinzip gibt es ja innerhalb einer Skizze um die Elemente miteinander zu verbinden mit der Funktion "Kontur schließen".
Nur bräuchte ich eben z.B. "Kontur Auswählen" welches automatisch alle Endpunkt-verbundenen Elemente auswählt.

Mit Blöcken hätte ich nur wieder einen zusätzlichen schritt und müsste diesen dann auch jedes mal wieder "explodieren" lassen um weitere Elemente (Geometrien) übernehmen zu können.
Dazu kann unsere CAM Integration mit Blöcken nicht wirklich was anfangen.


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik




Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 2478
Registriert: 15.11.2006

Windows 10 x64, AIP 2023

erstellt am: 21. Mai. 2024 10:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für pAtrickstAr 10 Unities + Antwort hilfreich

Moin

Zitat:
alle Elemente egal ob Linie, Kreisbogen, Tangentialbogen usw. welche mit den Endpunkten miteinander verbunden sind

Das sind dann geschlossene oder offene Profile. Und das Makro oben wählt diese aus bzw. alle Skizzenelemente die das Profil bilden. Im Stand oben werden nur die geschlossenen berücksichtigt, aber das liese sich vermutlich erweitern.

Mal so aus Neugierde, was soll denn passieren, wenn an einem Endpunkt mehr als ein Skizzenelement anschließt, sich also die "Kette" verzweigt? Alles eine Kette oder sind es dann 2 Ketten, die sich gemeinsame Glieder teilen?

------------------
MfG
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

pAtrickstAr
Mitglied
Werkzeugmechaniker

Sehen Sie sich das Profil von pAtrickstAr an!   Senden Sie eine Private Message an pAtrickstAr  Schreiben Sie einen Gästebucheintrag für pAtrickstAr

Beiträge: 7
Registriert: 02.05.2024

erstellt am: 21. Mai. 2024 10:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Im Prinzip meinst du damit solche "Profile" wie sie z.B. bei der Funktion Extrusion -> Ausgabe Fläche gewählt werden?
Das wäre natürlich auch eine Möglichkeit.
So würde sogar die benötigte Verkettung hervorgehoben werden.

Und ja solche eine verzweigte Verkettung wäre nicht erwünscht.
Da greife ich auch ein und lösche die Koinzidents manuell weg.
Ist auch öfters bei der Funktion "Versatz" nervig.

Aber genau sowas bräuchte ich eben wie bei offenen Profilen oder Versatz ausgewählt wird.
Nur eben zum Markieren damit ich es kopieren, verschieben usw. kann.

Deine Variante wäre sogar in der Hinsicht von Vorteil, da Konstruktionslinien dann nicht mit markiert werden würden.


Also Quasi das Makro aktivieren, mit der Maus ein Element anklicken und das "offene" oder dann auch "geschlossene" Profil wird ausgewählt.

So wäre das optimal

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2024 CAD.de | Impressum | Datenschutz